Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.remote
Class ClientBrokerFactory

    java.lang.Object
      org.apache.openjpa.kernel.AbstractBrokerFactory
          kodo.remote.ClientBrokerFactory

All Implemented Interfaces:
  Serializable, BrokerFactory, Closeable

    public class ClientBrokerFactory

extends AbstractBrokerFactory

Factory type for use with Kodo's client/server execution mode.

See Also:
  Serialized Form

Constructor Summary
`ClientBrokerFactory(ClientConfiguration conf)` Construct the factory with the given option settings; however, the factory construction methods are recommended.

Method Summary
`void` | `addTransferListener(RemoteTransferListener listener)`
`protected Object` | `getFactoryInitializationBanner()`
`static ClientBrokerFactory` | `getInstance(ConfigurationProvider cp)` Factory method for obtaining a possibly-pooled factory from properties.
`Properties` | `getProperties()`
`Collection` | `getTransferListeners()` Immutable list of registered transfer listeners.
`static ClientBrokerFactory` | `newInstance(ConfigurationProvider cp)` Factory method for constructing a factory from properties.
`protected StoreManager` | `newStoreManager()`
`void` | `removeTransferListener(RemoteTransferListener listener)`

Methods inherited from class org.apache.openjpa.kernel.AbstractBrokerFactory
`addLifecycleListener, addLifecycleListeners, close, configureBroker, findBroker, findTransactionalBroker, getConfiguration, getOpenBrokers, getPooledFactory, getPooledFactory, getUserObject, isClosed, lock, makeReadOnly, newBroker, newBroker, newBroker, newBroker, newBroker, newBrokerImpl, pool, putUserObject, readResolve, removeLifecycleListener, setup, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientBrokerFactory

    public ClientBrokerFactory(ClientConfiguration conf)

  Construct the factory with the given option settings; however, the factory construction methods are recommended.

Method Detail

### getInstance

    public static ClientBrokerFactory getInstance(ConfigurationProvider cp)

  Factory method for obtaining a possibly-pooled factory from properties. Invoked from `KodoHelper#getBrokerFactory`.

### newInstance

    public static ClientBrokerFactory newInstance(ConfigurationProvider cp)

  Factory method for constructing a factory from properties. Invoked from `KodoHelper#newBrokerFactory`.

### getFactoryInitializationBanner

    protected Object getFactoryInitializationBanner()

  Overrides:
    `getFactoryInitializationBanner` in class `AbstractBrokerFactory`

### getTransferListeners

    public Collection getTransferListeners()

  Immutable list of registered transfer listeners.

### addTransferListener

    public void addTransferListener(RemoteTransferListener listener)

### removeTransferListener

    public void removeTransferListener(RemoteTransferListener listener)

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `BrokerFactory`
  Overrides:
    `getProperties` in class `AbstractBrokerFactory`

### newStoreManager

    protected StoreManager newStoreManager()

  Specified by:
    `newStoreManager` in class `AbstractBrokerFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.